<?php
// $Id: nyss_blocks.theme.block.live_session.inc,v 1.1 2010/04/16 18:51:58 sheldon Exp $

/**
 *  @file
 *  Theme functions for the nyss_blocks 'Live Session' block
 */

/**
 *  Subject of the 'Live Search' block.
 *
 *  @return
 *    The subject of this block.
 */
function theme_nyss_blocks_view_subject_live_session() {
  $livesession = get_session_active();
  if($livesession == 'CONVENED') {
    return t('Live Session');
  } else {
    return t('When is Session?');
  }
}

/**
 *  Display the content of the 'Live Session' block.
 *
 *  @return
 *    The content of this block.
 */
function theme_nyss_blocks_view_content_live_session() {
  $livesession = get_session_active();
  if($livesession == 'CONVENED') {
    if (!nyss_internalusers_is_internal()) {
      if (nyss_videosettings_livestream_working()) {
        $output = '<script src="http://static.mogulus.com/scripts/playerv2.js?channel=nysenate&amp;layout=playerEmbedDefault&amp;backgroundColor=0xffffff&amp;backgroundAlpha=1&amp;backgroundGradientStrength=0&amp;chromeColor=0x000000&amp;headerBarGlossEnabled=true&amp;controlBarGlossEnabled=true&amp;chatInputGlossEnabled=false&amp;uiWhite=true&amp;uiAlpha=0.5&amp;uiSelectedAlpha=1&amp;dropShadowEnabled=true&amp;dropShadowHorizontalDistance=10&amp;dropShadowVerticalDistance=10&amp;paddingLeft=0&amp;paddingRight=0&amp;paddingTop=0&amp;paddingBottom=0&amp;cornerRadius=3&amp;backToDirectoryURL=null&amp;bannerURL=null&amp;bannerText=null&amp;bannerWidth=320&amp;bannerHeight=50&amp;showViewers=true&amp;embedEnabled=true&amp;chatEnabled=false&amp;onDemandEnabled=true&amp;programGuideEnabled=false&amp;fullScreenEnabled=true&amp;reportAbuseEnabled=false&amp;gridEnabled=false&amp;initialIsOn=false&amp;initialIsMute=false&amp;initialVolume=10&amp;contentId=null&amp;initThumbUrl=null&amp;playeraspectwidth=4&amp;playeraspectheight=3&amp;mogulusLogoEnabled=false&amp;width=270&amp;height=211&amp;wmode=window" type="text/javascript"></script>';
      }
      $output .= '<p style="padding: 0; font-size: .8em;">';
      $windowlink = l(t('larger window.'), 'new-york-state-senate-live');
      $watch = t('Watch in a !windowlink', array('!windowlink' => $windowlink));
      $output .= "$watch<br />";
      $stream = l(t('RealPlayer Stream.'), 'http://senreal3.senate.state.ny.us/ramgen/sennet_tv.smil');
      $trouble = t('Having trouble? Try viewing with our !stream', array('!stream' => $stream));
      $output .= "$trouble";
      $output .= '</p>';
    } else {
      $output = theme('nyss_internalusers_message');
    }
  }
  else {
    $output  = t('The Senate is not currently in session. It will reconvene !next_session', array('!next_session' => get_next_session()));
  }
  
  $output .= '<h2 class="title block_title">' . t('This Week in the Senate') . '</h2>';
  $output .= views_embed_view('week_senate', 'block_1');

  return $output;
}
